typedef struct
{
	// Stars on which to solve
	double *X;
	double *Y;
	double *signal;
	int star_cnt;

	// Astrometric catalogues on which to solve
	char **index_list;
	int index_cnt;

	// Frame properties
	double *frame_dim;
	double *pixscale;
	double *crpix;

	// Solver settings	
	int sip_order;
	int depth;
	int verbosity;
	bool inparallel;
		
	// Results of solving
	double *solution;
	double solution_sip[4][6][6];
}  leblind_struct;
