#ifndef Global_h
#define Global_h 1

#include "gloria/GloriaNetworkMgr.h"

//! Namespace for Luiza framework
/*! 
 *  luiza namespace includes all classes which make the framework operational
 *  Dedicated analysis processors should be grouped in separate classes
 */
namespace luiza{

  class StringParameters ;

  //! Class to store global processing parameters and network configuration
  class Global{
    
  public:
    
    static StringParameters* parameters ;
    
    static gloria::GloriaNetworkMgr* Network ;

  };
  
  
} // end namespace luiza
#endif
