######################################################################
# QMAKE File for LuizaGUI
######################################################################

TEMPLATE = app
CONFIG -= moc
CONFIG += create_prl link_prl
INCLUDEPATH += $(LUIZA_ROOT)/luiza/include $(LUIZA_ROOT)/luiza_gui/include
ENV_LUIZA_NO_DLL = $$(LUIZA_NO_DLL)
!isEmpty(ENV_LUIZA_NO_DLL) {
    DEFINES += LUIZA_NO_DLL
}
unix:LIBS += -L$(LUIZA_ROOT)/luiza/lib -lluiza  -lstreamlog -lgloria -ltinyxml -lcfitsio 
DESTDIR = $(LUIZA_ROOT)/luiza/bin/

OBJECTS_DIR = $(LUIZA_ROOT)/luiza_gui/obj

MOC_DIR  = $(LUIZA_ROOT)/luiza_gui/tmp                                                                                                                                                             
# Input
DEPENDPATH = include  src

HEADERS	=   mainwindow.h \
	    nparamvecset.h \
	    nparamvecsetd.h \
	    aprocdelegate.h \
	    iprocdelegate.h \
	    paramdelegate.h \
	    gparamdelegate.h \
	    icoldelegate.h \
	    icoltdelegate.h \
	    ocoldelegate.h \
	    flowlayout.h \
	    addprocdialog.h \
	    addcondition.h \
	    editcondition.h \
	    guihelp.h \
	    dialog.h
	      
SOURCES =   main.cpp \
	    mainwindow.cpp \
	    nparamvecset.cpp \
	    nparamvecsetd.cpp \
	    aprocdelegate.cpp \
	    iprocdelegate.cpp \
	    paramdelegate.cpp \
	    gparamdelegate.cpp \
	    icoldelegate.cpp \
	    icoltdelegate.cpp \
	    ocoldelegate.cpp \
	    flowlayout.cpp \
	    addprocdialog.cpp \
	    addcondition.cpp \
	    editcondition.cpp \
	    guihelp.cpp \
	    dialog.cpp
#unix:!mac:LIBS+= -lm

