#include "RootProcessor.h"

#include "luiza/VerbosityLevels.h"
#include "streamlog/streamlog.h"


using namespace gloria ;


namespace luiza{

  TApplication*   RootProcessor::rootApl = NULL;


  RootProcessor::RootProcessor(const std::string& typeName) 
  : Processor(typeName) { }


  void RootProcessor::InitializeRoot() 
  { 

// Create application (once for all class instances, as it is static)

    int argc=1;
    char* argv[] = { (char*)"-1" };     

    if(!rootApl)
        {
         streamlog_out(MESSAGE) << "Initializing root TApplication " << std::endl ;

         rootApl = new TApplication("rootApl", &argc, argv);
	}

    return;
  }


} // namespace luiza

