#pragma once


class FirstFit
{
public:
	static void Start();

private:
	static void FitLine();
	static void FitPerpendicularGauss();
	static void CalculatePerpendicularData();
	static bool ConditionInsidePath(double x,double y);

	static double f(double x);
	static double df_sigma(double x);
	static double df_A(double x);
	static double df_C(double x);

	static void CalculateInit(double D[], double Z[][3]);
	static void CalculateZtZ(double ZtZ[][3], double Z[][3]);
	static void CalculateZtZ_1(double ZtZ[][3], double ZtZ_1[][3]);
	static void CalculateZtD(double ZtD[], double D[], double Z[][3]);
	static void CalculateFinal(double ZtZ_1[][3], double ZtD[], double D[]);
	static double Chi2(double D[]);

	static double sigma, A, C, chi2, chi2Old, lambda, k;
};

