#pragma once


class Fit2DGauss
{
public:
	static void Start();

private:
	static void FitSatellite();
	static void CalculateDataRotated();
	static void CalculateData();

	static int Region(double x, double y);
	static double f(double x, double y);
	static double df_sigma(double x, double y);
	static double df_A(double x, double y);
	static double df_C(double x, double y);
	static double df_X1(double x, double y);
	static double df_X2(double x, double y);
	static double df_a(double x, double y);
	static double df_b(double x, double y);
	static double Chi2(double D[], double G[]);

	static void CalculateInit(double D[], double Z[][7], double G[]);
	static void CalculateZtZ(double ZtZ[][7], double Z[][7], double G[]);
	static void CalculateZtZ_1(double ZtZ[][7], double ZtZ_1[][7]);
	static void CalculateZtD(double ZtD[], double D[], double Z[][7], double G[]);
	static void CalculateFinal(double ZtZ_1[][7], double ZtD[], double D[], double G[]);
	
	static void PlotSatellite();
	static void SaveResults();

	static void EraseTrace();

	static double sigma, A, C, X1, X2, a, b, chi2, chi2Old, lambda, k, errors[7]; 
};

