#pragma once


class SearchSatellite
{
public:
	static void Start();
	static void FindPossibleSatellites();

private:
	static long SearchPath(long i);
	static long Neighbour(long x);
	static bool NotEdge(long i);
	static bool ConditionMedian(long position, float constant);
	static float ConditionMedianProximity(long i, float constant);
	static bool ConditionLine(float constant, long start, long position, long counter);
	static bool ConditionDirect(long positionOld, long position);
};


